ERP

integration-flows

5 endpoints · /api/erp/v1/integration-flows

Request examples are generated from each endpoint's REAL method and path. 5 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

GET/api/erp/v1/integration-flows

List integration flows

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/integration-flows" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/integration-flows

Upsert integration flow

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/integration-flows" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
DELETE/api/erp/v1/integration-flows/{code}

Delete integration flow

OturumYol parametresi: code
İstek
curl -X DELETE "https://{slug}.erp.blesyum.app/api/erp/v1/integration-flows/<code>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/integration-flows/{code}/run

Run integration flow

OturumYol parametresi: code
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/integration-flows/<code>/run" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/integration-flows/{code}/runs

Integration flow runs

OturumYol parametresi: code
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/integration-flows/<code>/runs" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?